Get agent
curl --request GET \
--url https://api.nuvia.ai/v1/agents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nuvia.ai/v1/agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nuvia.ai/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": {},
"name": "<string>",
"agent_flow": {
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>",
"type": "N8N"
},
"prompts": {
"service_prompt": "<string>",
"name": "<string>",
"role": "<string>",
"mission": "<string>",
"personality": [
{}
],
"communication_style": [
{}
],
"rules": [
{}
],
"use_sender_name": true
},
"company": {
"_id": {},
"name": "<string>",
"channels": [
"WAP_AUTO_CLOSER"
],
"agent_flows": [
{
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>",
"type": "N8N"
}
],
"description": "<string>",
"status": "ACTIVE",
"domains": [
"<string>"
],
"site": "<string>",
"general_config": {},
"agent_builder_mcp_enabled": true,
"client_mcp_servers_enabled": true,
"auto_join_enabled": true,
"subscription": {},
"onboarding": {},
"attribution": {}
},
"model_config": {},
"status": "ACTIVE",
"general_config": {},
"specialist_config": {},
"knowledge_base": [
{}
],
"avatar_color": "<string>",
"avatar_initials": "<string>",
"personality_presets": [
"FRIENDLY"
],
"steps": [
{
"_id": {},
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"order": 123,
"type": "INITIAL",
"agent": "<unknown>",
"company": {
"_id": {},
"name": "<string>",
"channels": [
"WAP_AUTO_CLOSER"
],
"agent_flows": [
{
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>",
"type": "N8N"
}
],
"description": "<string>",
"status": "ACTIVE",
"domains": [
"<string>"
],
"site": "<string>",
"general_config": {},
"agent_builder_mcp_enabled": true,
"client_mcp_servers_enabled": true,
"auto_join_enabled": true,
"subscription": {},
"onboarding": {},
"attribution": {}
},
"mentions": [
{}
],
"general_config": {
"disable_followups": true,
"should_auto_run_on_enter": true,
"disable_ai_response": true
},
"meta_event_name": "ViewContent"
}
]
}Agentes
Get agent
Returns the details of a specific agent.
GET
/
v1
/
agents
/
{id}
Get agent
Authorizations
Token JWT de autenticação
Headers
Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.
Path Parameters
Agent ID
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
ACTIVE, DRAFT, INACTIVE, DELETED Available options:
FRIENDLY, DIDACTIC, CURIOUS, FORMAL, PLAYFUL, PERSUASIVE Show child attributes
Show child attributes